%define aurox_ver 9.3
%define rel 1


%define name openslp
%define ver 1.0.11
%define rel 1

%define libver 1.0.0
%define initscript slpd

Name: %{name}
Summary: OpenSLP implementation of Service Location Protocol V2
Version: %{ver}
Release: %{aurox_ver}.aur.%{rel}
Copyright: BSD-style
Group: System Environment/Daemons
URL: http://www.openslp.org/
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: openslp-server
Requires: %{name}-lib = %{version}-%{release}
Source0: ftp://openslp.org/pub/openslp/%{name}-%{ver}/%{name}-%{ver}.tar.gz
Source1: slpd.init

%description
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as defined 
by RFC 2608 and RFC 2614.  This package includes the daemon and documentation.


%package lib
Summary: OpenSLP implementation of Service Location Protocol V2
Group: System Environment/Libraries

%description lib
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as defined 
by RFC 2608 and RFC 2614.  This package includes the shared library.


%package lib-devel
Summary: OpenSLP implementation of Service Location Protocol V2
Group: System Environment/Libraries

%description lib-devel
Service Location Protocol is an IETF standards track protocol that
provides a framework to allow networking applications to discover the
existence, location, and configuration of networked services in
enterprise networks.

OpenSLP is an open source implementation of the SLPv2 protocol as defined 
by RFC 2608 and RFC 2614.  This package includes the header files and static
library.


%prep
%setup -n %{name}-%{ver}

%build
#libtoolize --force
#aclocal
#autoconf
#automake --add-missing
%configure
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
cp etc/slp.conf ${RPM_BUILD_ROOT}%{_sysconfdir}
cp etc/slp.reg ${RPM_BUILD_ROOT}%{_sysconfdir}

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
libtool install libslp/libslp.la ${RPM_BUILD_ROOT}%{_libdir}
/sbin/ldconfig -n ${RPM_BUILD_ROOT}%{_libdir}

mkdir -p  ${RPM_BUILD_ROOT}%{_sbindir}
cp slpd/slpd ${RPM_BUILD_ROOT}%{_sbindir}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp slptool/slptool ${RPM_BUILD_ROOT}%{_bindir}

mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
cp libslp/slp.h ${RPM_BUILD_ROOT}%{_includedir}

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/
install -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/%{initscript}

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc doc/*
%config %{_sysconfdir}/slp.conf
%config %{_sysconfdir}/slp.reg
%{_sysconfdir}/rc.d/init.d/%{initscript}
%{_sbindir}/slpd
%{_bindir}/slptool

%files lib
%defattr(-,root,root)
%{_libdir}/libslp*.so.*

%files lib-devel
%defattr(-,root,root)
%{_includedir}/slp.h
%{_libdir}/libslp*.so
%{_libdir}/libslp*.a
%{_libdir}/libslp*.la

%changeLog
